<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_66) on Mon Nov 23 18:11:10 CET 2015 -->
<title>SmokeWindowScript (QA API)</title>
<meta name="date" content="2015-11-23">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SmokeWindowScript (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" target="_top">Frames</a></li>
<li><a href="SmokeWindowScript.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.testscripts</div>
<h2 title="Interface SmokeWindowScript" class="title">Interface SmokeWindowScript&lt;W extends <a href="../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/StandardWindow.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">StandardWindow</a>&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>W</code> - The window class of the tab.</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../com/openbravo/test/integration/erp/testscripts/generalsetup/application/conversionrates/ConversionRates.html" title="class in com.openbravo.test.integration.erp.testscripts.generalsetup.application.conversionrates">ConversionRates</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">FinancialAccount</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/procurement/transactions/GoodsReceipt.html" title="class in com.openbravo.test.integration.erp.testscripts.procurement.transactions">GoodsReceipt</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/GoodsShipment.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions">GoodsShipment</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/generalsetup/application/heartbeatconfiguration/HeartbeatConfigurationTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts.generalsetup.application.heartbeatconfiguration">HeartbeatConfigurationTabScript</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/procurement/transactions/LandedCost.html" title="class in com.openbravo.test.integration.erp.testscripts.procurement.transactions">LandedCost</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/procurement/transactions/ManageRequisitions.html" title="class in com.openbravo.test.integration.erp.testscripts.procurement.transactions">ManageRequisitions</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/applicationdictionary/module/Module.html" title="class in com.openbravo.test.integration.erp.testscripts.applicationdictionary.module">Module</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/generalsetup/enterprise/Organization.html" title="class in com.openbravo.test.integration.erp.testscripts.generalsetup.enterprise">Organization</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/PaymentIn.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">PaymentIn</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/PaymentOut.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">PaymentOut</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/PaymentProposal.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">PaymentProposal</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html" title="class in com.openbravo.test.integration.erp.testscripts.warehouse.transactions.physicalinventory">PhysicalInventoryHeader</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/generalsetup/processscheduling/processrequest/ProcessRequest.html" title="class in com.openbravo.test.integration.erp.testscripts.generalsetup.processscheduling.processrequest">ProcessRequest</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/procurement/transactions/PurchaseInvoice.html" title="class in com.openbravo.test.integration.erp.testscripts.procurement.transactions">PurchaseInvoice</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/procurement/transactions/PurchaseOrder.html" title="class in com.openbravo.test.integration.erp.testscripts.procurement.transactions">PurchaseOrder</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/procurement/transactions/Requisition.html" title="class in com.openbravo.test.integration.erp.testscripts.procurement.transactions">Requisition</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/ReturnFromCustomer.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions">ReturnFromCustomer</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions">SalesInvoice</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesOrder.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions">SalesOrder</a>, <a href="../../../../../../com/openbravo/test/integration/erp/testscripts/generalsetup/security/user/User.html" title="class in com.openbravo.test.integration.erp.testscripts.generalsetup.security.user">User</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">SmokeWindowScript&lt;W extends <a href="../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/StandardWindow.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">StandardWindow</a>&gt;</span></pre>
<div class="block">Class for available actions for smoke suites on tabs.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="type parameter in SmokeWindowScript">W</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html#open--">open</a></span>()</code>
<div class="block">Open the window.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="open--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>open</h4>
<pre><a href="../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="type parameter in SmokeWindowScript">W</a>&gt;&nbsp;open()</pre>
<div class="block">Open the window.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Window Script object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" target="_top">Frames</a></li>
<li><a href="SmokeWindowScript.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
